.TH XROLO 1 "April 1996"
.SH NAME
xrolo \- XView tool to manage notes like a Rolodex
.SH SYNOPSIS
.B xrolo [file]
.SH DESCRIPTION
.I Xrolo
is a tool for the Unix workstation which presents a
user interface to a simple database of notes in a manner
which approximates a Rolodex file.  The information in
this man page is available, almost verbatim, within
.I Xrolo
by clicking the "?" button in the control panel.

Each note in your
.I Xrolo
file is meant to
simulate a 3x5 card upon which you may scribble
anything you like.  You can have any number of
cards in your rolodex,
.I Xrolo
will keep track of
them for you.  You may browse around through
them, create new ones, throw old ones away,
search for strings in them, etc.

The buttons in the top part of the
.I Xrolo
window provide the main controls with which
you manipulate your cards.  Every button on
the control panel has a menu attached which
can be pulled up by pressing the right mouse
button over that item.  The menus provide
textual explanations of what the buttons do,
as well showing the shift accelerators which
may be used with the buttons.  Selecting from
the button menus is equivalent to clicking the
button directly.  Herewith is a quick overview
of what the buttons do.
.TP
ARROW BUTTONS
These buttons move you through the cards.
The down arrow moves you to the next card in
the file, the up arrow moves you backwards to
the previous card.  Holding down the Shift key
when the down or up button is clicked, or
choosing the second menu item, will jump you
to the last or first card respectively.
.TP
NEW CARD BUTTON
This button creates a new blank card.  By
default, the new card will be inserted after
the currently displayed card.  Using the Shift
key will cause it to be inserted before the
current card.
.TP
TRASHCAN BUTTON
This button deletes and undeletes cards
from your rolodex.  A normal unshifted click
on this button deletes the card which is
currently displayed.  Deleted cards are not
lost, they are saved on a stack of deleted
cards and may be retreived any time before
.I Xrolo
exits.  The alternate selections on the
menu for the Trash button may be used to
undelete any card which was previously deleted.
These undelete menu items have pullright
menus which will list the first line of all
the cards on the deleted stack.  You may select
any one of these deleted cards directly from
the pullright menu and it will re-inserted
back into the active list of cards before or
after the current card.  If you select one
of the undelete menu items directly, without
pulling right to pick from the list of deleted
cards, the card on the top of the deleted
stack (the last one deleted) will be undeleted.
Using Shift and Control key accelerators when
clicking the button will give the same effect.
If there are no deleted cards on the stack,
the undelete items are marked as inactive.
You can rearrange the order of the cards in
your rolodex by deleting a card, moving to
a new position, then undeleting it.  Note that
blanks cards containing only white space are
not saved on the undeleted stack, they are
thrown away.
.TP
LIST BUTTON
This button produces an index list of all
the cards in your rolodex.  The first line
of each card is displayed in the window so
that you can get a quick overview of all
your cards.  The card numbers to the left of
each line can be used to jump directly to that
card with the slider in the control panel.
.TP
FILE BUTTON
This button loads and saves your rolodex
cards from and to disk.  The default action
is to write the current list of cards out to
the file they were loaded from (the file name
listed in the title bar).  You can also reload
the cards from that file as-of the last time
they were saved.  There are also items on
this menu which will sort your cards into
alphabetical order according to their first
lines.  The last two items on the menu, which
can only be selected from the menu, will load
from or save to a named file.  You must select
a string in some window to provide the file
name, similar to the way the
.I TextEdit
tool
works.  The path you give must be relative to
your home directory (a cd to
.B $HOME
is done
when 
.I Xrolo
starts up).  Saving to or loading from
a file this way causes that new file to become
the default for the regular load and save
operations.  You will be warned about unsaved
modifications to your cards, overwriting
existing files, etc.
.TP
HELP BUTTON
Displays the information you're reading now.
.TP
FINISHED BUTTON
   This button is used when you are finished
using
.I Xrolo.  
A normal click saves any changes
you've made and causes
.I Xrolo
to close to an
icon.  Alternate selections will cause
.I Xrolo
to
exit with or without saving any pending
changes you've made.  
.I Xrolo
automatically
saves any pending changes if SunTools
forces it to exit.
.TP
FIND BUTTON
This button searches for a regular expression
in your cards.  This can be used to find any
text pattern which appears anywhere in any of
your cards.  The pattern to search for may be
entered in the text item to the right of the
Find button.  If, at the time the Find
button is clicked, there is an active selection
in any window, it will be used as the search
pattern instead.  Pressing the return key in
the search pattern item is equivalent to
clicking the Find button.  Due to the way the
library search routines work, all the text of a
given card is treated as one logical line.  The
main effect of this is that the '^' and '$'
operations won't match individual lines within
a card, only the text of the card as a whole.
.br
Note: "Regular expressions" are the kind used
by egrep(1), which are not the same as the
shell meta-characters.
.TP
SLIDER
The slider item on the control panel may
be used to select any card directly.  Simply
drag the bar back and forth until the number
of the card you wish to see is displayed to
the left of the slider, then release the
mouse button.
.SH FILES
.TP
$HOME/.xrolo
This is the default filename
.I Xrolo
looks for at startup, unless a filename argument
is provided on the command line.  The file pathname
given must be relative to your home directory, even if
.I Xrolo
is executed from somewhere else, because
.I Xrolo
changes to your home directory when it begins.
.SH AUTHOR
Ron Hitchens   (ronbo@vixen.uucp, hitchens@cs.utexas.edu)
.br
   Version 1.0, March  1987
   Version 2.0, August 1988

Thanks to S. Page (spage@sun.com) and
Mike Ekberg (mae@sun.com) at Sun for
changes and improvements to the original
.I Xrolo.
Ported to BSD/OS by Brett Wynkoop (wynkoop@wynn.com) in April 1996.
.SH POLICY
.I Xrolo
is public domain, anyone and everyone
is welcome to it.  Feel free to give it to your
friends (or even your enemies).  I only ask
that you keep it all together, source included,
as posted.  Please send bug reports, fixes,
gripes, suggestions, etc, to me at the email
address above.

[RH 8/8/88]
